import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { MainGameComponent } from './main-game/main-game.component';
import { LoginComponent } from './login/login.component';
import { ConsentFormComponent } from './consent-form/consent-form.component';
import { FirstFormComponent } from './first-form/first-form.component';
import { TestComponent } from './test/test.component';
import { TrialComponentComponent } from './trial-component/trial-component.component';
import { HomePageComponent } from './home-page/home-page.component';
import { PreSurveyComponent } from './pre-survey/pre-survey.component';
import { CpcqFormComponent } from './cpcq-form/cpcq-form.component';
import { PostSurveyComponent } from './post-survey/post-survey.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { ResultDashboardComponent } from './result-dashboard/result-dashboard.component';
import { AboutCompComponent } from './about-comp/about-comp.component';
import { RegisterComponentComponent } from './register-component/register-component.component';
import { ScorePageComponent } from './score-page/score-page.component';
import { GraphPageComponent } from './graph-page/graph-page.component';
import { FinalDashboardComponent } from './final-dashboard/final-dashboard.component';
import { UnpackingPageComponent } from './unpacking-page/unpacking-page.component';
import { FinalFeedbackComponent } from './final-feedback/final-feedback.component';
import { ForgotPasswordComponent } from './forgot-password/forgot-password.component';
import { ChangePasswordComponent } from './change-password/change-password.component';
import { EmailPasswordComponent } from './email-password/email-password.component';

const routes: Routes = [
  { path: "", component:  HomePageComponent},
  { path: "login", component:  LoginComponent},
  { path: "preSurvey", component:  PreSurveyComponent},
  { path: "pcqform", component:  CpcqFormComponent},
  { path: "postSurvey", component:  PostSurveyComponent},
  { path: "dashboard", component:  DashboardComponent},
  { path: "result", component:  ResultDashboardComponent},
  { path: "about", component:  AboutCompComponent},
  { path: "register", component:  RegisterComponentComponent},
  { path: "score", component:  ScorePageComponent},
  { path: "graph", component:  GraphPageComponent},
  { path: "final", component:  FinalDashboardComponent},
  { path: "unpacking", component:  UnpackingPageComponent},
  { path: "finalFeedback", component:  FinalFeedbackComponent},
  { path: "forgotPassword", component:  ForgotPasswordComponent},
  { path: "changePassword", component:  ChangePasswordComponent},
  { path: "emailPass", component:  EmailPasswordComponent},

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
