import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

import {MatButtonModule} from '@angular/material/button';
import {MatIconModule} from '@angular/material/icon';
import {MatToolbarModule} from '@angular/material/toolbar';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatListModule } from '@angular/material/list';
import {MatDialogModule} from '@angular/material/dialog';
import {MatRadioModule} from '@angular/material/radio';
import { MatTableModule } from '@angular/material/table';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatSortModule } from '@angular/material/sort';
import {MatCardModule} from '@angular/material/card';
import {MatSelectModule} from '@angular/material/select';
import {MatTabsModule} from '@angular/material/tabs';
import {MatMenuModule} from '@angular/material/menu';
import {MatTooltipModule} from '@angular/material/tooltip';
import {MatChipsModule} from '@angular/material/chips';
import {MatAutocompleteModule} from '@angular/material/autocomplete';
import {MatProgressSpinnerModule} from '@angular/material/progress-spinner';
import {MatDatepickerModule} from '@angular/material/datepicker';
import {MatCheckboxModule} from '@angular/material/checkbox';
import {MatSliderModule} from '@angular/material/slider';
import {MatProgressBarModule} from '@angular/material/progress-bar';
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HttpClientModule } from '@angular/common/http';
import { CountdownModule } from 'ngx-countdown';
import { NgApexchartsModule } from "ng-apexcharts";
import { NgWaveformModule } from 'ng-waveform';
import { PdfViewerModule } from 'ng2-pdf-viewer';
import {OverlayModule} from '@angular/cdk/overlay';
import {PortalModule} from '@angular/cdk/portal';


import { MainGameComponent } from './main-game/main-game.component';
import { HeaderComponent } from './header/header.component';
import { LoginComponent } from './login/login.component';
import { ConsentFormComponent } from './consent-form/consent-form.component';
import { FirstFormComponent } from './first-form/first-form.component';
import { DialogComponent } from './main-game/dialog/dialog.component';
import { TestComponent } from './test/test.component';
import { WalkthroughModule } from 'ngx-walkthrough';
import { MyOverlayComponent } from './test/my-overlay/my-overlay.component';
import { TrialComponentComponent } from './trial-component/trial-component.component';
import { HomePageComponent } from './home-page/home-page.component';
import { PreSurveyComponent } from './pre-survey/pre-survey.component';
import { CpcqFormComponent } from './cpcq-form/cpcq-form.component';
import { PostSurveyComponent } from './post-survey/post-survey.component';
import { DialogFormComponent } from './cpcq-form/dialog-form/dialog-form.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { DashboardDialoComponent } from './dashboard/dashboard-dialo/dashboard-dialo.component';
import { FooterComponent } from './footer/footer.component';
import { ResultDashboardComponent } from './result-dashboard/result-dashboard.component';
import { LottieModule } from 'ngx-lottie';
import player from 'lottie-web';
import { AboutCompComponent } from './about-comp/about-comp.component';
import { RegisterComponentComponent } from './register-component/register-component.component';
import { DialogPDfComponent } from './pre-survey/dialog-pdf/dialog-pdf.component';
import { ScorePageComponent } from './score-page/score-page.component';
import { GraphPageComponent } from './graph-page/graph-page.component';
import { FinalDashboardComponent } from './final-dashboard/final-dashboard.component';
import { UnpackingPageComponent } from './unpacking-page/unpacking-page.component';
import { FinalFeedbackComponent } from './final-feedback/final-feedback.component';
import { ForgotPasswordComponent } from './forgot-password/forgot-password.component';
import { ChangePasswordComponent } from './change-password/change-password.component';
import { EmailPasswordComponent } from './email-password/email-password.component';
 
// Note we need a separate function as it's required
// by the AOT compiler.
export function playerFactory() {
  return player;
}

@NgModule({
  declarations: [
    AppComponent,
    MainGameComponent,
    HeaderComponent,
    LoginComponent,
    ConsentFormComponent,
    FirstFormComponent,
    DialogComponent,
    TestComponent,
    MyOverlayComponent,
    TrialComponentComponent,
    HomePageComponent,
    PreSurveyComponent,
    CpcqFormComponent,
    PostSurveyComponent,
    DialogFormComponent,
    DashboardComponent,
    DashboardDialoComponent,
    FooterComponent,
    ResultDashboardComponent,
    AboutCompComponent,
    RegisterComponentComponent,
    DialogPDfComponent,
    ScorePageComponent,
    GraphPageComponent,
    FinalDashboardComponent,
    UnpackingPageComponent,
    FinalFeedbackComponent,
    ForgotPasswordComponent,
    ChangePasswordComponent,
    EmailPasswordComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    MatButtonModule,
    MatIconModule,
    MatToolbarModule,
    MatSidenavModule,
    MatListModule,
    MatDialogModule,
    MatRadioModule,
    MatTableModule,
    MatProgressBarModule,
    MatSliderModule,
    MatFormFieldModule,
    MatInputModule,
    MatPaginatorModule,
    MatSortModule,
    MatCardModule,
    MatSelectModule,
    MatTabsModule,
    MatMenuModule,
    MatTooltipModule,
    MatChipsModule,
    MatCheckboxModule,
    MatAutocompleteModule,
    MatProgressSpinnerModule,
    MatDatepickerModule,
    FormsModule,
    ReactiveFormsModule,
    BrowserAnimationsModule,
    HttpClientModule,
    CountdownModule,
    WalkthroughModule,
    OverlayModule,
    PortalModule,
    NgApexchartsModule,
    NgWaveformModule,
    PdfViewerModule,
    LottieModule.forRoot({ player: playerFactory })
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }