import { Component, OnInit,Inject} from '@angular/core';
import {MatDialog,MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';
import Swal from 'sweetalert2';
import {PreSurveyService} from '../../../services/preSurvey.service';

export interface DialogData {
  animal;
}
@Component({
  selector: 'app-dashboard-dialo',
  templateUrl: './dashboard-dialo.component.html',
  styleUrls: ['./dashboard-dialo.component.css']
})
export class DashboardDialoComponent implements OnInit {

  arr1 = ['https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar1.png?alt=media&token=43a091f7-a828-4f7b-9478-991de35a5f5c','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar2.png?alt=media&token=f2020833-12c5-4597-9b1c-b723c988d4d5','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar3.png?alt=media&token=66de0c48-1d0c-4511-ba34-94e6d6fdcf9a','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar4.jpeg?alt=media&token=2c1f1544-d5ee-4f2b-9bd8-c08b5cb7a1b6','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar5.png?alt=media&token=4ccb76eb-871b-4c6c-9390-f89023c88bde','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar6.png?alt=media&token=809414a2-fba6-4815-aae6-775bcb5c7a83','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/avatar7.png?alt=media&token=405e6677-93d5-4f3b-9c84-fe65a4ddb0a7','https://firebasestorage.googleapis.com/v0/b/cpcdp-vcu.appspot.com/o/dog.png?alt=media&token=4bf29ae2-7ddd-4eab-bb0e-749f885bda0b'];
  constructor(
    public dialogRef: MatDialogRef<DashboardDialoComponent>,
    public profileService: PreSurveyService,
    @Inject(MAT_DIALOG_DATA) public data: DialogData) {
      
    }

  avatarClick(avatar){
    // 
    this.data.animal = avatar;
    this.profileService.postProfile({"photo_profile" : avatar, "id": this.data["userID"]}).subscribe((res) => {
      Swal.fire({
        text: "Profile Picture Changed",
        icon: "success"
      }).then((res) => {})
    })
    
    this.dialogRef.close(avatar);
  }
  ngOnInit(): void {
  }

}
