import { Component, OnInit } from '@angular/core';
import { EmailValidator, FormBuilder, FormGroup, Validators } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Router } from '@angular/router';
import Swal from 'sweetalert2';
import { Login } from '../../services/login.sevice';
@Component({
  selector: 'app-email-password',
  templateUrl: './email-password.component.html',
  styleUrls: ['./email-password.component.css']
})
export class EmailPasswordComponent implements OnInit {
  forgotForm: FormGroup;
  hide = true;
  constructor(private fb: FormBuilder, private router: Router, private loginService : Login) { }

  ngOnInit(): void {
    this.forgotForm = this.fb.group({
      password:["",[ Validators.required]],
      username:[""]

    })
    
  }

  getEmailError(){
    if(this.forgotForm.controls.username.hasError('required')){
      return 'Required'
    }else{
      return ''
    }
  }

  getPasswordError(){
    if(this.forgotForm.controls.password.hasError('required')){
      return 'Required'
    }else{
      return ''
    }
  }

  
  login(){ 
    if(!this.forgotForm.valid){

      Swal.fire({
        text: "Please enter all the fields in the right format.",
        icon: "error"
      }).then((res) => {
      }) 
    }
    else{
      this.forgotForm.get("username").setValue(localStorage.getItem("username"));
      this.loginService.login(this.forgotForm.value).subscribe((res) => {
        localStorage.setItem("user",res["token"]);
        // this.router.navigateByUrl("/changePassword")

        Swal.fire({
                  text: "Verification Successful!",
                  icon: "success"
                }).then((res) => {
                  this.router.navigateByUrl("/changePassword")
        })

      },(err) => {
        
        Swal.fire({
          text: "Username and email do not match.",
          icon: "error"
        }).then((res) => {
        }) 
      })    
  }
  }

}
