import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { FirstForm } from "../../services/firstForm.service";
import { FormBuilder, FormGroup, FormControl,Validators } from '@angular/forms';
import Swal from 'sweetalert2';
declare var $: any;
import * as RecordRTC from 'recordrtc';
import { DomSanitizer } from '@angular/platform-browser';


@Component({
  selector: 'app-first-form',
  templateUrl: './first-form.component.html',
  styleUrls: ['./first-form.component.css']
})
export class FirstFormComponent implements OnInit {
  firstForm: FormGroup;
  responseList:any ;

  questionArray = [["Enter First Name","text"],["Enter Last Name","text"],["Enter Age","number"]];
  statusCheck = false;

  selectedIndex = 0;

  constructor(private router: Router, private formService : FirstForm,private domSanitizer: DomSanitizer) { }

  ngOnInit(): void {

    // let group={}    
    

    // this.formService.firstForm().subscribe((res) => {
    //   
    //   this.questionArray = res[0]["question_instance"];
    //   
    //   this.questionArray.forEach(input_template=>{
    //     
    //     group[input_template["id"]]=new FormControl('');  
    //   })
    //   this.firstForm = new FormGroup(group);
    //   this.statusCheck = true;
    //   


    // },(err) =>{
    //   
    // })
  }

  preSurvey(){
    this.router.navigateByUrl("/preSurvey");
  }

  nextButton(){
    this.selectedIndex = this.selectedIndex + 1;
  }
  prevButton(){
    this.selectedIndex = this.selectedIndex - 1;
    if(this.selectedIndex <0){
      this.selectedIndex = 0;
    }
  }

  submit(){
    
    var tempDict;
    this.responseList = [];
    for(let key in this.firstForm.value){
      tempDict = {}
      tempDict["question"] = key
      tempDict["response"] = this.firstForm.value[key];
      this.responseList.push(tempDict);
    }
    

    this.formService.submitResponse(this.responseList).subscribe((res) => {
      
      Swal.fire({
        text: "Submitted",
        icon: "success"
      })  
      this.router.navigateByUrl("/game");
    },(err) => {
      
      Swal.fire({
        text: "Duplicate Entries",
        icon: "warning"
      })  
    })

  }

  title = 'micRecorder';
//Lets declare Record OBJ
record;
//Will use this flag for toggeling recording
recording = false;
//URL of Blob
url;
error;
sanitize(url: string) {
return this.domSanitizer.bypassSecurityTrustUrl(url);
}
/**
* Start recording.
*/
initiateRecording() {
this.recording = true;
let mediaConstraints = {
video: false,
audio: true
};
navigator.mediaDevices.getUserMedia(mediaConstraints).then(this.successCallback.bind(this), this.errorCallback.bind(this));
}
/**
* Will be called automatically.
*/
successCallback(stream) {
var options = {
mimeType: "audio/wav",
numberOfAudioChannels: 1,
// sampleRate: 16000,
};
//Start Actuall Recording
var StereoAudioRecorder = RecordRTC.StereoAudioRecorder;
this.record = new StereoAudioRecorder(stream, options);
this.record.record();
}
/**
* Stop recording.
*/
stopRecording() {
this.recording = false;
this.record.stop(this.processRecording.bind(this));
}
/**
* processRecording Do what ever you want with blob
* @param  {any} blob Blog
*/
processRecording(blob) {
this.url = URL.createObjectURL(blob);


}
/**
* Process Error.
*/
errorCallback(error) {
this.error = 'Can not play audio in your browser';
}



}
