import { Component, OnInit } from '@angular/core';
import { EmailValidator, FormBuilder, FormGroup, Validators } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Router } from '@angular/router';
import Swal from 'sweetalert2';
import { Login } from '../../services/login.sevice';
@Component({
  selector: 'app-forgot-password',
  templateUrl: './forgot-password.component.html',
  styleUrls: ['./forgot-password.component.css']
})
export class ForgotPasswordComponent implements OnInit {
  forgotForm: FormGroup;
  hide = true;
  constructor(private fb: FormBuilder, private router: Router, private loginService : Login) { }

  ngOnInit(): void {
    this.forgotForm = this.fb.group({
      username:["",[ Validators.required]],

    })
    
  }

  getEmailError(){
    if(this.forgotForm.controls.username.hasError('required')){
      return 'Required'
    }else{
      return ''
    }
  }

  getPasswordError(){
    if(this.forgotForm.controls.password.hasError('required')){
      return 'Required'
    }else{
      return ''
    }
  }

  
  login(){ 
    if(!this.forgotForm.valid){

      Swal.fire({
        text: "Please enter all the fields in the right format.",
        icon: "error"
      }).then((res) => {
      }) 
    }
    else{
      this.loginService.forgotpassword(this.forgotForm.value).subscribe((res) => {
        localStorage.setItem("username",this.forgotForm.get("username").value);
        Swal.fire({
                  text: "e-mail sent successfully!",
                  icon: "success"
                }).then((res) => {
                  this.router.navigateByUrl("/emailPass")
        })

      },(err) => {
        
        Swal.fire({
          text: "Username/e-mail not found!",
          icon: "error"
        }).then((res) => {
        }) 
      })    
  }
  }

}
