import { BreakpointObserver, Breakpoints } from '@angular/cdk/layout';
import { Component, OnInit } from '@angular/core';
import { NavigationEnd, Router, RouterEvent } from '@angular/router';
import { Observable } from 'rxjs';
import { map, shareReplay } from 'rxjs/operators';
import { Login } from '../../services/login.sevice';

@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.css']
})
export class HeaderComponent implements OnInit {
  user = false;

  r
  isHandset: Observable<boolean> = this.breakpointObserver.observe(Breakpoints.Handset)
  .pipe(
    map(result => result.matches),
    shareReplay()
  );

isTablet: Observable<boolean> = this.breakpointObserver.observe(Breakpoints.Tablet)
  .pipe(
    map(result => result.matches),
    shareReplay()
  );

isMedium: Observable<boolean> = this.breakpointObserver.observe(Breakpoints.Medium)
  .pipe(
    map(result => result.matches),
    shareReplay()
  );

  constructor(
    private breakpointObserver: BreakpointObserver,
    private router: Router,
    private loginService : Login
  ) { }

  ngOnInit(): void {
    this.router.events.subscribe(event => {
      if(event instanceof NavigationEnd) {
        if(localStorage.getItem("user") != null || localStorage.getItem("user") != undefined){
          this.user = true
        }
      }
    })
  }
  
  logout(){
    this.loginService.logout().subscribe((res) => {
      localStorage.removeItem("user");
    this.router.navigateByUrl("/");
    this.user = false
    },(err) => {
      localStorage.removeItem("user");
      this.router.navigateByUrl("/");
      this.user = false
    })
    
    
  }

  activate(e){
      (<HTMLInputElement>document.getElementById("home")).style.backgroundColor = "none";
      (<HTMLInputElement>document.getElementById("about")).style.backgroundColor = "none";
      (<HTMLInputElement>document.getElementById("login")).style.backgroundColor = "none";
      (<HTMLInputElement>document.getElementById("logout")).style.backgroundColor = "none";
      (<HTMLInputElement>document.getElementById(e)).style.backgroundColor = "#face70";
  }

  
}
