import { Component, OnInit, Inject } from '@angular/core';
import Swal from 'sweetalert2';
import { Router } from '@angular/router';
import {MatDialog} from '@angular/material/dialog';
import { DialogPDfComponent } from "./dialog-pdf/dialog-pdf.component";
import { FormBuilder, FormGroup, FormControl,Validators } from '@angular/forms';
import {PreSurveyService} from '../../services/preSurvey.service';
export interface DialogData {
  animal: 'panda' | 'unicorn' | 'lion';
}
@Component({
  selector: 'app-pre-survey',
  templateUrl: './pre-survey.component.html',
  styleUrls: ['./pre-survey.component.css']
})
export class PreSurveyComponent implements OnInit {
  preSurveyForm: FormGroup;
  email : any;
  startTime: any;
  endTime: any;
  durationTime : any;
  formQuestion: any;
  constructor(private router:Router,public dialog: MatDialog,private fb: FormBuilder, private presurvey : PreSurveyService) { }

  ngOnInit(): void {
    this.startTime = new Date()
    
    this.preSurveyForm = this.fb.group({
      q1:[""],
      q2:[""],
      q3:[""],
      q4:[""],
      q5:[""],
      q6:[""],
      q7:[""],
      q8:[""],
      q9:[""],
      q10:[""],
      q11:[""],
      q12:[""],
      q13:[""],
      q14:[""],
      q15:[""],
      q16:[""],
      q17:[""],
      q18:[""],
      q19:[""],
      q20:[""],
      q21:[""],
      other5:'',
      other6:'',
      other7:'',
      other8:'',
      other10:'',
      other12:'',
      other13:'',
      other21:'',
      consent:''
    })

     this.presurvey.getFormQuestions().subscribe((res) => {
      this.formQuestion = res[0];
      for(let key in this.formQuestion){
        if(this.formQuestion[key].indexOf('gender inequality') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('gender inequality')
        }
        else if(this.formQuestion[key].indexOf('LGBTQA+') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('LGBTQA+')
        }
        else if(this.formQuestion[key].indexOf('ableism') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('ableism')
        }
        else if(this.formQuestion[key].indexOf('Teaching English to Speakers of Other Languages (TESOL)') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('Teaching English to Speakers of Other Languages (TESOL)')
        }
        else if(this.formQuestion[key].indexOf('race or ethnicity') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('race or ethnicity')
        }
        else if(this.formQuestion[key].indexOf('culture') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('culture')
        }
        else if(this.formQuestion[key].indexOf('diversity, equity, and inclusion (DEI)') != -1){
          this.formQuestion[key] = this.formQuestion[key].split('diversity, equity, and inclusion (DEI)')
        }
      }
      this.presurvey.userData().subscribe((res) => {
        this.preSurveyForm.get("q1").setValue(res["last_name"])
        this.preSurveyForm.get("q2").setValue(res["first_name"])
        this.preSurveyForm.get("q3").setValue(res["email"])

      },(err) => {
        
      })
     },(err) => {
       
     })

      
    
  }

  checkBox21 = [];
  checkBoxFunction(e){
    if(this.checkBox21.indexOf(e) == -1){
      this.checkBox21.push(e)
    }
    else{
      var index = this.checkBox21.indexOf(e)
      this.checkBox21.splice(index, 1);
    }
    
  }

  checkBox7 = [];
  checkBox7Function(e){
    
    if(this.checkBox7.indexOf(e) == -1){
      this.checkBox7.push(e)
    }
    else{
      var index = this.checkBox7.indexOf(e)
      this.checkBox7.splice(index, 1);
    }
    
  }

  irbFunction(){
    
    this.dialog.open(DialogPDfComponent, {
      data: {
        animal: 'panda'
      }
    });

  }

  submit(){
    if(!this.preSurveyForm.valid){
      Swal.fire({
        text: "Please fill all the fields",
        icon: "error"
      }).then((res) => {
      }) 
            
    }
    else{
      this.preSurveyForm.get("q7").setValue(this.checkBox7)
      this.preSurveyForm.get("q21").setValue(this.checkBox21)
      
      if(this.preSurveyForm.value["other5"].length != 0){
      this.preSurveyForm.get("q5").setValue(this.preSurveyForm.value["other5"])
      }
      if(this.preSurveyForm.value["other6"].length != 0){
      this.preSurveyForm.get("q6").setValue(this.preSurveyForm.value["other6"])
      }
      if(this.preSurveyForm.value["other7"].length != 0){
        
        this.checkBox7.push(this.preSurveyForm.value["other7"])
        this.preSurveyForm.get("q7").setValue(this.checkBox7)
      }
      if(this.preSurveyForm.value["other8"].length != 0){
        this.preSurveyForm.get("q8").setValue(this.preSurveyForm.value["other8"])
      }
      if(this.preSurveyForm.value["other10"].length != 0){
        this.preSurveyForm.get("q10").setValue(this.preSurveyForm.value["other10"])
      }
      if(this.preSurveyForm.value["other12"].length != 0){
        this.preSurveyForm.get("q12").setValue(this.preSurveyForm.value["other12"])
      }
      if(this.preSurveyForm.value["other13"].length != 0){
      this.preSurveyForm.get("q13").setValue(this.preSurveyForm.value["other13"])
      }
      if(this.preSurveyForm.value["other21"].length != 0){
        this.checkBox21.push(this.preSurveyForm.value["other21"])
        this.preSurveyForm.get("q21").setValue(this.checkBox21)
      }
      this.preSurveyForm.removeControl('other5');
      this.preSurveyForm.removeControl('other6');
      this.preSurveyForm.removeControl('other7');
      this.preSurveyForm.removeControl('other8');
      this.preSurveyForm.removeControl('other10');
      this.preSurveyForm.removeControl('other12');
      this.preSurveyForm.removeControl('other13');
      this.preSurveyForm.removeControl('other21');
      if(localStorage.getItem("consent") == "true"){
        this.preSurveyForm.get("consent").setValue(true)
      }
      else{
        this.preSurveyForm.get("consent").setValue(false)
      }
      

      this.endTime = new Date()
      
      this.durationTime = (this.endTime - this.startTime)/1000
      this.durationTime = this.durationTime/ 60
      this.preSurveyForm.value["duration"] = this.durationTime
      this.presurvey.submitForm(this.preSurveyForm.value).subscribe((res) => {
        Swal.fire({
          text: "Submitted",
          icon: "success"
        }).then((res) => {
          this.router.navigateByUrl("/dashboard")
        })
      },(err) => {
        
      })

    }
    }
  }

