import { Injectable } from '@angular/core';
import { HttpClient, HttpErrorResponse } from '@angular/common/http'
import {Config} from '../config/Config';

@Injectable({
    providedIn: 'root'
})
export class CPCQService {
    baseUri = Config.apiUrl;
    cpcqUrl = Config.cqcqUrl;

    constructor(private http: HttpClient) {}

    attitudeData(){
        return this.http.get(`${this.baseUri}`+'attitude/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    empathyData(){
        return this.http.get(`${this.baseUri}`+'empathy/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    policyData(){
        return this.http.get(`${this.baseUri}`+'policy/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    professionalismData(){
        return this.http.get(`${this.baseUri}`+'professionalism/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    teachingData(){
        return this.http.get(`${this.baseUri}`+'teaching/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    changeCPCQStatus(){
        return this.http.post(`${this.cpcqUrl}`+'/',{"choices" : "Finished All Forms"},{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }});
    }

    getCPCQStatus(){
        return this.http.get(`${this.cpcqUrl}`,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }});
    }

    postFormData(data){
        return this.http.post(`${this.baseUri}`+'responses/',data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }});
    }

    postFeedbackForm(data){
        return this.http.post(`${this.baseUri}`+'finalFeedback/',data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }});
    }

    getFormData(){
        return this.http.get(`${this.baseUri}`+'responses/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    getResponsesData(){
        return this.http.get(`${this.baseUri}`+'responses_all/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})

    }

    postUnpacking(data){
        return this.http.post(`${this.baseUri}`+'cpcq_response/',data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }});
    }

    getScoreInfo() {
        
        
        return this.http.get(`${this.baseUri}`+'cpcq_response/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    getScoreVisualization() {
        return this.http.get(`${this.baseUri}`+'graphs/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    patchStatus(data){
        
        return this.http.patch(`${this.baseUri}status/?value=${data}`,{},{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }
    
}
