import { Injectable } from '@angular/core';
import { HttpClient, HttpErrorResponse } from '@angular/common/http'
import {Config} from '../config/Config';

@Injectable({
    providedIn: 'root'
})
export class Login {
    loginUrl = Config.loginUrl;
    registerUrl = Config.registerUrl;
    logoutUrl = Config.logoutUrl;
    baseUrl = Config.apiUrl;

    constructor(private http: HttpClient) {}

    login(data){
        return this.http.post(`${this.loginUrl}`,data,{headers: {
            "Content-Type": "application/json"
        }})
    }

    forgotpassword(data){
        return this.http.patch(`${this.baseUrl}`+'password_change/',data,{headers: {
            "Content-Type": "application/json"
        }})
    }

    register(data){
        
        return this.http.post(`${this.registerUrl}`,data,{headers: {
            "Content-Type": "application/json"
        }})
    }

    changePassword(data){
        
        return this.http.patch(`${this.baseUrl}`+"password_change/",data,{headers: {
            "Content-Type": "application/json",
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    logout(){
        return this.http.post(`${this.logoutUrl}`,{},{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    checkStatus() {
        return this.http.get(`${this.baseUrl}`+'status/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    patchStatus(data){
        return this.http.patch(`${this.baseUrl}` +'status/',data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }
    
}
