import { Injectable } from '@angular/core';
import { HttpClient, HttpErrorResponse } from '@angular/common/http'
import {Config} from '../config/Config';

@Injectable({
    providedIn: 'root'
})
export class PreSurveyService {
    baseUrl = Config.apiUrl;
    preSurveys = Config.preSurveyUrl;
    profileUrl = Config.profileUrl;
    userUrl = Config.userUrl;
    postSurveyUrl = Config.postSurveyUrl

    constructor(private http: HttpClient) {}
    submitForm(data){
        return this.http.post(`${this.preSurveys}`,data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }
    postProfile(data){
        return this.http.patch(`${this.profileUrl}`,data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    getPreSurveyAnswer(){
        return this.http.get(`${this.preSurveys}`,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    profileData(){
        return this.http.get(`${this.profileUrl}`,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }
    
    userData(){
        return this.http.get(`${this.userUrl}`,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    submitPostSurvey(data){
        return this.http.post(`${this.postSurveyUrl}`,data,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})

    }

    getFormData() {
        return this.http.get(`${this.userUrl}`,{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    getFormQuestions() {
        return this.http.get(`${this.baseUrl}`+'presurvey_questions/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    getPostSurveyFormQuestions() {
        return this.http.get(`${this.baseUrl}`+'postsurvey_questions/',{headers: {
            "Authorization":"Token " + localStorage.getItem("user")
        }})
    }

    
}
